export default function switchOrgLevel(data: any, label: string) {
  const level = data?.['等级']
  switch (label) {
    case '书记':
      if (level === '党工委') return '党工委书记'
      if (level === '党组') return '书记'
      if (level === '党总支') return '党总支书记'
      if (level === '党委') return '党委书记'
      if (level === '党支部' || level === '联合党支部') return '党支部书记'
    case '副书记':
      if (level === '党工委') return '党工委副书记'
      if (level === '党组') return '副书记'
      if (level === '党总支') return '党总支副书记'
      if (level === '党委') return '党委副书记'
      if (level === '党支部' || level === '联合党支部') return '党支部副书记'
    case '委员':
      if (level === '党工委') return '党工委委员'
      if (level === '党组') return '成员'
      if (level === '党总支') return '党总支委员'
      if (level === '党委') return '党委成员'
      if (level === '党支部' || level === '联合党支部') return '支委会成员'
    default:
      return null
  }
}
